Bug 64842 - bha barfs when accessing the permissions screen
bha barfs when accessing the permissions screen
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: newt (Show other bugs)
9
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Elliot Lee
Tim Powers
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-05-13 09:49 EDT by Tim Powers
Modified: 2007-04-18 12:42 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-12-02 15:06:59 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Tim Powers 2002-05-13 09:49:37 EDT
fire up bha, select Permissions, then get this back (in full, just copying and
pasting). This now appears on porkchop as well as my workstation.

/usr/lib/python2.2/FCNTL.py:7: DeprecationWarning: the FCNTL module is
deprecated; pleas
e use fcntl
  DeprecationWarning)
Traceback (most recent call last):
  File "/usr/bin/bha", line 957, in regen_perm_list
    self.perm_list.append(I, self.plist[I])
  File "/usr/lib/python2.2/site-packages/snack.py", line 74, in append
    self.item2key[item] = key
TypeError: dict objects are unhashable
Key was abrown@REDHAT.COM (type <type 'str'>) out of ['abrown@REDHAT.COM',
'alan@REDHAT.
COM', 'alexl@REDHAT.COM', 'alikins@REDHAT.COM', 'amacleod@REDHAT.COM',
'andrew@REDHAT.CO
M', 'apbianco@REDHAT.COM', 'aplotkin@REDHAT.COM', 'arjanv@REDHAT.COM',
'aviro@REDHAT.COM
', 'bandregg@REDHAT.COM', 'bbrock@REDHAT.COM', 'bcrl@REDHAT.COM',
'bellison@REDHAT.COM',
 'benl@REDHAT.COM', 'bennet@REDHAT.COM', 'bfox@REDHAT.COM', 'bhuang@REDHAT.COM',
'blizza
rd@REDHAT.COM', 'bmatthews@REDHAT.COM', 'borgan@REDHAT.COM', 'bretm@REDHAT.COM',
'brosen
kr@REDHAT.COM', 'bstevens@REDHAT.COM', 'build/beehive@REDHAT.COM',
'carole@REDHAT.COM', 
'compile/beehive@REDHAT.COM', 'copeland@REDHAT.COM', 'crutcher@REDHAT.COM',
'cturner@RED
HAT.COM', 'davem@REDHAT.COM', 'dcm@REDHAT.COM', 'ddj@REDHAT.COM',
'dfisher@REDHAT.COM', 
'djoo@REDHAT.COM', 'dkl@REDHAT.COM', 'dledford@REDHAT.COM',
'dlehman@REDHAT.COM', 'dmarl
in@REDHAT.COM', 'dnovillo@REDHAT.COM', 'dwmw2@REDHAT.COM', 'echen@REDHAT.COM',
'ewt@REDH
AT.COM', 'fche@REDHAT.COM', 'flanagan@REDHAT.COM', 'fnasser@REDHAT.COM',
'gafton@REDHAT.
COM', 'gbenson@REDHAT.COM', 'gdk@REDHAT.COM', 'harald@REDHAT.COM',
'havill@REDHAT.COM', 
'hdeller@REDHAT.COM', 'hilary@REDHAT.COM', 'hp@REDHAT.COM', 'i18n@REDHAT.COM',
'ishikawa
@REDHAT.COM', 'jakub@REDHAT.COM', 'jantill@REDHAT.COM', 'jbj@REDHAT.COM',
'jclover@REDHA
T.COM', 'jhogan@REDHAT.COM', 'jkt@REDHAT.COM', 'jmcdermo@REDHAT.COM',
'joffrion@REDHAT.C
OM', 'johnsonm@REDHAT.COM', 'jorton@REDHAT.COM', 'jrb@REDHAT.COM',
'jturner@REDHAT.COM',
 'karsten@REDHAT.COM', 'katzj@REDHAT.COM', 'kbarrett@REDHAT.COM',
'laroche@REDHAT.COM', 
'liams@REDHAT.COM', 'llch@REDHAT.COM', 'lpalma@REDHAT.COM',
'maint/beehive@REDHAT.COM', 
'matthias@REDHAT.COM', 'mharris@REDHAT.COM', 'mingo@REDHAT.COM',
'mjc@REDHAT.COM', 'mliu
@REDHAT.COM', 'msf@REDHAT.COM', 'msw@REDHAT.COM', 'nalin@REDHAT.COM',
'nmurray@REDHAT.CO
M', 'notting@REDHAT.COM', 'npadgett@REDHAT.COM', 'otaylor@REDHAT.COM',
'patrickm@REDHAT.
COM', 'pbrown@REDHAT.COM', 'pcheung@REDHAT.COM', 'petersen@REDHAT.COM',
'pgampe@REDHAT.C
OM', 'pjones@REDHAT.COM', 'pknirsch@REDHAT.COM', 'queue/beehive@REDHAT.COM',
'rawhide/be
ehive@REDHAT.COM', 'rlandry@REDHAT.COM', 'rob@REDHAT.COM', 'rray@REDHAT.COM',
'sct@REDHA
T.COM', 'smoore@REDHAT.COM', 'sopwith@REDHAT.COM', 'spenning@REDHAT.COM',
'ssato@REDHAT.
COM', 'streeter@REDHAT.COM', 'tagoh@REDHAT.COM', 'taw@REDHAT.COM',
'tba@REDHAT.COM', 'te
g@REDHAT.COM', 'terryj@REDHAT.COM', 'tfox@REDHAT.COM', 'tgl@REDHAT.COM',
'than@REDHAT.CO
M', 'timp@REDHAT.COM', 'tlancast@REDHAT.COM', 'tm2b@REDHAT.COM',
'tromey@REDHAT.COM', 't
waugh@REDHAT.COM', 'veillard@REDHAT.COM', 'wensong@REDHAT.COM',
'wil@REDHAT.COM', 'willi
ams@REDHAT.COM', 'ynakai@REDHAT.COM', 'yshao@REDHAT.COM', 'zaitcev@REDHAT.COM'],
value w
as {'packager': '1', 'authorized': '1'} type <type 'instance'>
Comment 1 Matt Wilson 2002-08-20 09:49:42 EDT
coding error in beehive

>>> foo = {1:1, 2:2}
>>> bar = {}
>>> bar[1] = foo
>>> bar[foo]  = 1
Traceback (most recent call last):
  File "<stdin>", line 1, in ?
TypeError: dict objects are unhashable

Not allowed in python - don't pass unhashable objects into list.append.
Comment 2 Elliot Lee 2002-08-23 11:10:38 EDT
list.append needs to accept unhashable objects for listitem-data. If you need to do data->
listitem, fallback to hash(id(obj)) if the object is unhashable.
Comment 3 Eido Inoue 2004-11-05 14:39:15 EST
this isn't a newt bug.
Comment 4 Elliot Lee 2004-12-02 15:06:59 EST
dgregor fixed this a while back.

Note You need to log in before you can comment on or make changes to this bug.